Skip to main content
Server path: /launchdarkly-flags | Type: Application | PCID required: Yes

Tools

ToolDescription
launchdarkly_flags_copy_feature_flagCopy feature flag
launchdarkly_flags_create_flag_linkCreate flag link
launchdarkly_flags_create_trigger_workflowCreate flag trigger
launchdarkly_flags_delete_feature_flagDelete feature flag
launchdarkly_flags_delete_flag_config_scheduled_changesDelete scheduled changes workflow
launchdarkly_flags_delete_flag_followerRemove a member as a follower of a flag in a project and environment
launchdarkly_flags_delete_flag_linkDelete flag link
launchdarkly_flags_delete_trigger_workflowDelete flag trigger
launchdarkly_flags_get_dependent_flagsList dependent feature flags
launchdarkly_flags_get_dependent_flags_by_envList dependent feature flags by environment
launchdarkly_flags_get_expiring_context_targetsGet expiring context targets for feature flag
launchdarkly_flags_get_expiring_user_targetsGet expiring user targets for feature flag
launchdarkly_flags_get_feature_flagGet feature flag
launchdarkly_flags_get_feature_flag_scheduled_changeGet a scheduled change
launchdarkly_flags_get_feature_flag_statusGet feature flag status
launchdarkly_flags_get_feature_flag_status_across_environmentsGet flag status across environments
launchdarkly_flags_get_feature_flag_statusesList feature flag statuses
launchdarkly_flags_get_feature_flagsList feature flags
launchdarkly_flags_get_flag_config_scheduled_changesList scheduled changes
launchdarkly_flags_get_flag_followersGet followers of a flag in a project and environment
launchdarkly_flags_get_flag_linksList flag links
launchdarkly_flags_get_followers_by_proj_envGet followers of all flags in a given project and environment
launchdarkly_flags_get_tagsList tags
launchdarkly_flags_get_trigger_workflow_by_idGet flag trigger by ID
launchdarkly_flags_get_trigger_workflowsList flag triggers
launchdarkly_flags_patch_expiring_targetsUpdate expiring context targets on feature flag
launchdarkly_flags_patch_expiring_user_targetsUpdate expiring user targets on feature flag
launchdarkly_flags_patch_feature_flagUpdate feature flag
launchdarkly_flags_patch_flag_config_scheduled_changeUpdate scheduled changes workflow
launchdarkly_flags_patch_trigger_workflowUpdate flag trigger
launchdarkly_flags_post_feature_flagCreate a feature flag
launchdarkly_flags_post_flag_config_scheduled_changesCreate scheduled changes workflow
launchdarkly_flags_post_migration_safety_issuesGet migration safety issues
launchdarkly_flags_put_flag_followerAdd a member as a follower of a flag in a project and environment
launchdarkly_flags_update_flag_linkUpdate flag link

launchdarkly_flags_copy_feature_flag

Copy feature flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key. The key identifies the flag in your code.
commentstringNoOptional comment
excludedActionsstring[]NoOptional list of the flag changes NOT to copy from the source environment to the target environment. You may include either <code>includedActions</code> or <code>excludedActions</code>, but not both. If you include neither, then all flag changes will be copied.
includedActionsstring[]NoOptional list of the flag changes to copy from the source environment to the target environment. You may include either <code>includedActions</code> or <code>excludedActions</code>, but not both. If you include neither, then all flag changes will be copied.
sourceobjectYesThe source value
targetobjectYesThe target value

Create flag link Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
deepLinkstringNoThe URL for the external resource you are linking the flag to
descriptionstringNoThe description of the flag link
integrationKeystringNoThe integration key for an integration whose <code>manifest.json</code> includes the <code>flagLink</code> capability, if this is a flag link for an existing integration. Do not include for URL flag links.
keystringNoThe flag link key
metadataobjectNoThe metadata required by this integration in order to create a flag link, if this is a flag link for an existing integration. Defined in the integration’s <code>manifest.json</code> file under <code>flagLink</code>.
timestampintegerNoThe timestamp value
titlestringNoThe title of the flag link

launchdarkly_flags_create_trigger_workflow

Create flag trigger Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
featureFlagKeystringYesThe feature flag key
commentstringNoOptional comment describing the trigger
instructionsobject[]NoThe action to perform when triggering. This should be an array with a single object that looks like <code>{“kind”: “flag_action”}</code>. Supported flag actions are <code>turnFlagOn</code> and <code>turnFlagOff</code>.
integrationKeystringYesThe unique identifier of the integration for your trigger. Use <code>generic-trigger</code> for integrations not explicitly supported.

launchdarkly_flags_delete_feature_flag

Delete feature flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key. The key identifies the flag in your code.

launchdarkly_flags_delete_flag_config_scheduled_changes

Delete scheduled changes workflow Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key
idstringYesThe scheduled change id

launchdarkly_flags_delete_flag_follower

Remove a member as a follower of a flag in a project and environment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key
memberIdstringYesThe memberId of the member to remove as a follower of the flag. Reader roles can only remove themselves.

Delete flag link Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
idstringYesThe flag link ID or Key

launchdarkly_flags_delete_trigger_workflow

Delete flag trigger Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
featureFlagKeystringYesThe feature flag key
idstringYesThe flag trigger ID

launchdarkly_flags_get_dependent_flags

List dependent feature flags Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key

launchdarkly_flags_get_dependent_flags_by_env

List dependent feature flags by environment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
featureFlagKeystringYesThe feature flag key

launchdarkly_flags_get_expiring_context_targets

Get expiring context targets for feature flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
featureFlagKeystringYesThe feature flag key

launchdarkly_flags_get_expiring_user_targets

Get expiring user targets for feature flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
featureFlagKeystringYesThe feature flag key

launchdarkly_flags_get_feature_flag

Get feature flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
envstringNoFilter configurations by environment
expandstringNoA comma-separated list of fields to expand in the response. Supported fields are explained above.

launchdarkly_flags_get_feature_flag_scheduled_change

Get a scheduled change Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key
idstringYesThe scheduled change id

launchdarkly_flags_get_feature_flag_status

Get feature flag status Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
featureFlagKeystringYesThe feature flag key

launchdarkly_flags_get_feature_flag_status_across_environments

Get flag status across environments Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
envstringNoOptional environment filter

launchdarkly_flags_get_feature_flag_statuses

List feature flag statuses Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key

launchdarkly_flags_get_feature_flags

List feature flags Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
envstringNoFilter configurations by environment
tagstringNoFilter feature flags by tag
limitintegerNoThe number of feature flags to return. Defaults to 20.
offsetintegerNoWhere to start in the list. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.
archivedbooleanNoDeprecated, use filter=archived:true instead. A boolean to filter the list to archived flags. When this is absent, only unarchived flags will be returned
summarybooleanNoBy default, flags do not include their lists of prerequisites, targets, or rules for each environment. Set summary=0 and include the env query parameter to include these fields for each flag returned.
filterstringNoA comma-separated list of filters. Each filter is of the form field:value. Read the endpoint description for a full list of available filter fields.
sortstringNoA comma-separated list of fields to sort by. Fields prefixed by a dash ( - ) sort in descending order. Read the endpoint description for a full list of available sort fields.
comparebooleanNoDeprecated, unavailable in API version 20240415. A boolean to filter results by only flags that have differences between environments.
expandstringNoA comma-separated list of fields to expand in the response. Supported fields are explained above.

launchdarkly_flags_get_flag_config_scheduled_changes

List scheduled changes Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key

launchdarkly_flags_get_flag_followers

Get followers of a flag in a project and environment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key

List flag links Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key

launchdarkly_flags_get_followers_by_proj_env

Get followers of all flags in a given project and environment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key

launchdarkly_flags_get_tags

List tags Parameters:
ParameterTypeRequiredDefaultDescription
kindstring[]NoFetch tags associated with the specified resource type. Options are flag, project, environment, segment, metric, metric-data-source, aiconfig, and view. Returns all types by default.
prestringNoReturn tags with the specified prefix
archivedbooleanNoWhether or not to return archived flags
limitintegerNoThe number of tags to return. Maximum is 1000.
offsetintegerNoThe index of the first tag to return. Default is 0.
asOfstringNoThe time to retrieve tags as of. Default is the current time.

launchdarkly_flags_get_trigger_workflow_by_id

Get flag trigger by ID Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key
idstringYesThe flag trigger ID

launchdarkly_flags_get_trigger_workflows

List flag triggers Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
featureFlagKeystringYesThe feature flag key

launchdarkly_flags_patch_expiring_targets

Update expiring context targets on feature flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
featureFlagKeystringYesThe feature flag key
commentstringNoOptional comment describing the change
instructionsobject[]YesThe instructions to perform when updating

launchdarkly_flags_patch_expiring_user_targets

Update expiring user targets on feature flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
featureFlagKeystringYesThe feature flag key
commentstringNoOptional comment describing the change
instructionsobject[]YesThe instructions to perform when updating

launchdarkly_flags_patch_feature_flag

Update feature flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key. The key identifies the flag in your code.
ignoreConflictsbooleanNoIf true, the patch will be applied even if it causes a pending scheduled change or approval request to fail.
dryRunbooleanNoIf true, the patch will be validated but not persisted. Returns a preview of the flag after the patch is applied.
commentstringNoOptional comment
patchobject[]YesThe patch value

launchdarkly_flags_patch_flag_config_scheduled_change

Update scheduled changes workflow Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key
idstringYesThe scheduled change ID
ignoreConflictsbooleanNoWhether to succeed (true) or fail (false) when these new instructions conflict with existing scheduled changes
commentstringNoOptional comment describing the update to the scheduled changes
instructionsobject[]YesThe instructions value

launchdarkly_flags_patch_trigger_workflow

Update flag trigger Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
environmentKeystringYesThe environment key
featureFlagKeystringYesThe feature flag key
idstringYesThe flag trigger ID
commentstringNoOptional comment describing the update
instructionsobject[]NoThe instructions to perform when updating. This should be an array with objects that look like <code>{“kind”: “trigger_action”}</code>.

launchdarkly_flags_post_feature_flag

Create a feature flag Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
clonestringNoThe key of the feature flag to be cloned. The key identifies the flag in your code. For example, setting clone=flagKey copies the full targeting configuration for all environments, including on/off state, from the original flag to the new flag.
clientSideAvailabilityobjectNoClient Side Availability
customPropertiesobjectNoCustom Properties
defaultsobjectNoThe defaults value
descriptionstringNoDescription of the feature flag. Defaults to an empty string.
includeInSnippetbooleanNoDeprecated, use <code>clientSideAvailability</code>. Whether this flag should be made available to the client-side JavaScript SDK. Defaults to <code>false</code>.
initialPrerequisitesobject[]NoInitial set of prerequisite flags for all environments
isFlagOnbooleanNoWhether to automatically turn the flag on across all environments at creation. Defaults to <code>false</code>.
keystringYesA unique key used to reference the flag in your code
maintainerIdstringNoThe ID of the member who maintains this feature flag
maintainerTeamKeystringNoThe key of the team that maintains this feature flag
migrationSettingsobjectNoMigration Settings
namestringYesA human-friendly name for the feature flag
purposestringNoPurpose of the flag
tagsstring[]NoTags for the feature flag. Defaults to an empty array.
temporarybooleanNoWhether the flag is a temporary flag. Defaults to <code>true</code>.
variationsobject[]NoAn array of possible variations for the flag. The variation values must be unique. If omitted, two boolean variations of <code>true</code> and <code>false</code> will be used.

launchdarkly_flags_post_flag_config_scheduled_changes

Create scheduled changes workflow Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key
ignoreConflictsbooleanNoWhether to succeed (true) or fail (false) when these instructions conflict with existing scheduled changes
commentstringNoOptional comment describing the scheduled changes
executionDateintegerYesExecution Date
instructionsobject[]YesThe instructions value

launchdarkly_flags_post_migration_safety_issues

Get migration safety issues Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
flagKeystringYesThe migration flag key
environmentKeystringYesThe environment key
commentstringNoThe comment value
instructionsobject[]YesThe instructions value

launchdarkly_flags_put_flag_follower

Add a member as a follower of a flag in a project and environment Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
environmentKeystringYesThe environment key
memberIdstringYesThe memberId of the member to add as a follower of the flag. Reader roles can only add themselves.

Update flag link Parameters:
ParameterTypeRequiredDefaultDescription
projectKeystringYesThe project key
featureFlagKeystringYesThe feature flag key
idstringYesThe flag link ID
bodyobject[]YesRequest body